BizUnit Compatibility

May 19, 2009 at 9:35 AM

Hi,

I have searched the site (and the web) and haven't been able to find an answer for what I hope is a simple question:

What versions of BizTalk are supported by BizUnit, or is it version independant?

We are still using BizTalk 2004, if there are compatibility issues what version would be best for me to try?

Cheers

Stu.

(if this info is easily available I have just been blind - sorry!)

May 19, 2009 at 9:57 PM

Hi Stuart,

No, you havent been blind!! As you may have seen/found-out BizUnit (and related BizUnitExtensions) have multiple test step libraries and one library (in each project) deals specifically with Biztalk. Most of the steps there tend to use the ApplicationName as one of the parameters and so generally they are only compatible with BizTalk 2006 and upwards.

I think BizUnit 2.1 and BizUnitExtensions 2.3 /2.2 supported Biztalk 2004 and didnt require the ApplicationName in the step parameters. Check out the earlier releases of BizUnit for those versions. But if you go to the older versions you wont get many of the bug fixes, new features such as object model for the test steps and so on.

Hope this helps

Regards,

Benjy